<?php
/*
Plugin Name: tigaman webdesign - Add Twitter Cards for Wordpress head
Plugin URI: https://www.tigaman.com/
Description: Add add Twitter Cards meta tags for Wordpress head
Version: 1.0
Author: tigaman webdesign
Author URI: https://www.tigaman.com
License: GPL2
Copyright: tigaman webdesign
*/
?>
<?php 
class AddTwitterCards {
	private $add_twitter_cards_options;

	public function __construct() {
		add_action( 'admin_menu', array( $this, 'add_twitter_cards_add_plugin_page' ) );
		add_action( 'admin_init', array( $this, 'add_twitter_cards_page_init' ) );
	}

	public function add_twitter_cards_add_plugin_page() {
		add_options_page(
			'Add Twitter Cards', // page_title
			'Add Twitter Cards', // menu_title
			'manage_options', // capability
			'add-twitter-cards', // menu_slug
			array( $this, 'add_twitter_cards_create_admin_page' ) // function
		);
	}

	public function add_twitter_cards_create_admin_page() {
		$this->add_twitter_cards_options = get_option( 'add_twitter_cards_option_name' ); ?>

		<div class="wrap">
			<h2>Add Twitter Cards</h2>
			<p>Add add Twitter Cards meta tags for Wordpress head</p>
			<?php settings_errors(); ?>

			<form method="post" action="options.php">
				<?php
					settings_fields( 'add_twitter_cards_option_group' );
					do_settings_sections( 'add-twitter-cards-admin' );
					submit_button();
				?>
			</form>
               <h1>See more free stuff - tigaman webdesign</h1>
          
            <style type="text/css">
              #tigamandotcom {width: 100%;height:500px;overflow-x: hidden;}
              </style>        
            <embed id="tigamandotcom" type="text/html" src="https://www.tigaman.com/">            
		</div>
	<?php }

	public function add_twitter_cards_page_init() {
		register_setting(
			'add_twitter_cards_option_group', // option_group
			'add_twitter_cards_option_name', // option_name
			array( $this, 'add_twitter_cards_sanitize' ) // sanitize_callback
		);

		add_settings_section(
			'add_twitter_cards_setting_section', // id
			'Settings', // title
			array( $this, 'add_twitter_cards_section_info' ), // callback
			'add-twitter-cards-admin' // page
		);

		add_settings_field(
			'twitter_username_0', // id
			'twitter username', // title
			array( $this, 'twitter_username_0_callback' ), // callback
			'add-twitter-cards-admin', // page
			'add_twitter_cards_setting_section' // section
		);
	}

	public function add_twitter_cards_sanitize($input) {
		$sanitary_values = array();
		if ( isset( $input['twitter_username_0'] ) ) {
			$sanitary_values['twitter_username_0'] = sanitize_text_field( $input['twitter_username_0'] );
		}

		return $sanitary_values;
	}

	public function add_twitter_cards_section_info() {
		
	}

	public function twitter_username_0_callback() {
		printf(
			'<input class="regular-text" type="text" name="add_twitter_cards_option_name[twitter_username_0]" id="twitter_username_0" value="%s">',
			isset( $this->add_twitter_cards_options['twitter_username_0'] ) ? esc_attr( $this->add_twitter_cards_options['twitter_username_0']) : ''
		);
	}

}
if ( is_admin() )
	$add_twitter_cards = new AddTwitterCards();
?>
<?php $add_twitter_cards_options = get_option( 'add_twitter_cards_option_name' );?><?php echo $twitter_username_0['twitter_username_0']; ?>
<?php add_action('wp_head', 'twd_twitter_meta');function twd_twitter_meta(){?>
<meta name="twitter:card" content="<?php if ( has_post_thumbnail() ) {the_post_thumbnail_url();} else { ?><?php bloginfo('template_directory'); ?>/images/empty.jpg<?php } ?>"/>
<meta name="twitter:site" content="<?php $add_twitter_cards_options = get_option( 'add_twitter_cards_option_name' );?><?php echo $add_twitter_cards_options['twitter_username_0']; ?>"/>
<meta name="twitter:title" content="<?php single_post_title(''); ?>"/>
<meta name="twitter:description" content="<?php if (have_posts() && is_single() OR is_page()):while(have_posts()):the_post();$out_excerpt = str_replace(array("\r\n", "\r", "\n"), "", get_the_excerpt());echo apply_filters('the_excerpt_rss', $out_excerpt);
endwhile; endif; ?>"/>
<meta name="twitter:creator" content="<?php $add_twitter_cards_options = get_option( 'add_twitter_cards_option_name' );?><?php echo $add_twitter_cards_options['twitter_username_0']; ?>"/>
<meta name="twitter:image" content="<?php if ( has_post_thumbnail() ) {the_post_thumbnail_url();} else { ?><?php bloginfo('template_directory'); ?>/screenshot.jpg<?php } ?>">
<meta name="twitter:domain" content="<?php bloginfo('url'); ?>/"/>
<?php };?>
<?php add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'twd_atcfwh_settings_link' );
function twd_atcfwh_settings_link( array $links ) {
    $url = get_admin_url() . "admin.php?page=add-twitter-cards";
    $settings_link = '<a href="' . $url . '">' . __('Settings', 'akismet') . '</a>';
      $links[] = $settings_link;
    return $links;
  }
?>